> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/get-started/understand-the-data-model/company-address.md).

# Company - Address

In Dashdoc, addresses are linked to companies, just as users.

In your address book in Dashdoc, you can have many companies, that can themselves have many addresses.

A company is the object used to store information about a carrier, shipper, origin or destination addresses' company.

In transport, addresses are used for shipper, carrier, origin, destination, invoicing address. Carriers, shippers and invoicing addresses must be linked to a company, while origins and destinations may be addresses with no company (address name is required in that case).

Creating a company can be done by sending requests to the /companies/ endpoint, or by specifying the `company` field in addresses when creating transports.

Addresses and their companies may be created

Companies have a `remote_id` field that you can fill with your internal company id.

* Using the Create Address API
* Directly at the creation of a transport, by entering data for the address and its company

Company creation is deduplicated with the following fields if provided: `remote_id`, `trade_number`, and `name`.

There is a mechanism preventing companies with the same:

## Addresses

* Dashdoc `id`
* `remote_id` (your id, optional)
* `trade_number` (optional)
* `name` (case insensitive)

An address is the object used to store information about an point of loading and unloading, or the postal address of a shipper or carrier company.

![Company / Address models](/files/31op6SxS8YN0Mn5m9q7b)

Addresses have a `latitude` and `longitude` field that are automatically filled by us if you leave them blank. If you want the trucker to have access to these coordinates on the mobile app, set the `coords_validated` field to `true`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/get-started/understand-the-data-model/company-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
